Bug 521888 - Fix instances of #!/usr/bin/env python in mailman
Fix instances of #!/usr/bin/env python in mailman
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: mailman (Show other bugs)
5.4
All Linux
low Severity low
: rc
: ---
Assigned To: Jan Kaluža
qe-baseos-daemons
: Patch
Depends On:
Blocks: 502912 521940 595715 605171 636825
  Show dependency treegraph
 
Reported: 2009-09-08 11:42 EDT by Issue Tracker
Modified: 2013-04-15 05:06 EDT (History)
4 users (show)

See Also:
Fixed In Version: mailman-2.1.9-5.el5
Doc Type: Bug Fix
Doc Text:
In accordance with current guidelines, all Python executables have been updated to use "#!/usr/bin/python" instead of "#!/usr/bin/env python".
Story Points: ---
Clone Of:
: 595715 605171 (view as bug list)
Environment:
Last Closed: 2010-09-29 11:52:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
#! lines changed in those files (1.77 KB, patch)
2010-04-13 11:05 EDT, Daniel Novotny
no flags Details | Diff

  None (edit)
Description Issue Tracker 2009-09-08 11:42:36 EDT
Escalated to Bugzilla from IssueTracker
Comment 1 Issue Tracker 2009-09-08 11:42:38 EDT
Event posted on 09-08-2009 11:40am EDT by kbaxley

There's a project underway in Fedora 12 to finally resolve the issues
with Red Hat including #!/usr/bin/env python in our python executables:

https://fedoraproject.org/wiki/Features/SystemPythonExecutablesUseSystemPython

There's also a Fedora bug opened on this, and comments in there state
that this is a big priority for RHEL6:

https://bugzilla.redhat.com/show_bug.cgi?id=518994

For RHEL5, we've been instructed by Product Management to open bugs on
a package-by-package basis to address the problem.

In this case, mailman in RHEL5 has at least one instance of a
python script containing #!/usr/bin/env python.  

/usr/lib/mailman/Mailman/Post.py in mailman-2.1.9-4.el5
/usr/lib/mailman/Mailman/Archiver/pipermail.py in mailman-2.1.9-4.el5
/usr/lib/mailman/bin/msgfmt.py in mailman-2.1.9-4.el5
/usr/lib/mailman/tests/onebounce.py in mailman-2.1.9-4.el5
/usr/share/doc/mailman-2.1.9/admin/www/reset_pw.py in mailman-2.1.9-4.el5
/usr/share/doc/mailman-2.1.9/contrib/migrate-fhs in mailman-2.1.9-4.el5



This event sent from IssueTracker by kbaxley  [LLNL (HPC)]
 issue 339867
Comment 3 RHEL Product and Program Management 2009-11-06 14:07:37 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 4 Daniel Novotny 2010-04-13 11:05:56 EDT
Created attachment 406268 [details]
#! lines changed in those files
Comment 10 Jaromir Hradilek 2010-09-21 09:54:12 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
In accordance with current guidelines, all Python executables have been updated to use "#!/usr/bin/python" instead of "#!/usr/bin/env python".
Comment 13 errata-xmlrpc 2010-09-29 11:52:26 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0726.html

Note You need to log in before you can comment on or make changes to this bug.